#include <bits/stdc++.h>
using namespace std;
#define int long long
signed main()
{
   int n, l;
   cin >> n >> l;
   int sol = -1;
   for(int i = 1; i <= n; i++)
   {
       int a;
       cin >> a;
       if(sol == -1 && a <= l){
           sol= i;
       }
   }
  cout << sol;
    return 0;
}